## axyl-lucene 2.1.4

=== Makefile ===
# Makefile for debian packaging

PKG = axyl-lucene

ifndef CHECK
export CHECK = yes
all: build-dep debian tarball
else
all: debian tarball
endif

clean:
	rm -f build-stamp*
	rm -f debian/files
	rm -f debian/*debhelper
	rm -f debian/*.substvars
	rm -rf debian/$(PKG)
	touch build-stamp

build-dep:
	./build-dep.sh
	$(MAKE)

repository: debian
	./build-repository.sh

debian:	build-stamp-debian

tarball: build-stamp-tarball

build-stamp-debian: build-stamp
	./build-debian.sh
	touch build-stamp-debian

build-stamp-tarball: build-stamp-debian
	./build-tarball.sh
	touch build-stamp-tarball

.PHONY: clean build-dep debian tarball repository

## axyl-lucene 2.1.3

=== debian/changelog ===
axyl-lucene (2.1.3) unstable; urgency=low

  * French debconf templates translation added. (closes: #279899)
  * Added Andrew McMillan as an "Uploader".

 -- Paul <paul@catalyst.net.nz>  Sun, 7 Nov 2004 14:46:00 +1300

axyl-lucene (2.1.2) unstable; urgency=low

  * Fixed up some documentation issues.

 -- Paul <paul@catalyst.net.nz>  Tue, 26 Oct 2004 09:35:22 +1300

axyl-lucene (2.1.1) unstable; urgency=low

  * Initial debian packaging. Split off from the main axyl package. This
    package contains the Axyl Luceneserver, complete with all Java source
    code. It is a bolt-on for axyl providing index/search capability.

 -- Paul Waite <paul@catalyst.net.nz>  Tue, 05 Oct 2004 20:40:00 +1200

=== debian/control ===
Source: axyl-lucene
Section: web
Priority: optional
Maintainer: Paul Waite <paul@catalyst.net.nz>
Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
Build-Depends-Indep: debhelper (>= 4.1.16), debconf, po-debconf
Standards-Version: 3.6.1

Package: axyl-lucene
Architecture: all
Depends: debconf, axyl (>= 2.1.1), kaffe | java2-runtime
Description: The Axyl Luceneserver
 Axyl is a website development tool aimed at Php developers. It provides a
 framework for all the commonly required elements: user sessions, menus and
 security, database connections (with DB-independent layer) and versioned
 content management (includes the HTMLArea wysiwyg editor), together with a
 large set of building blocks and frameworks for building content delivery
 applications.
 .
 This Java-based daemon listens on a designated port for XML requests and
 presents a nice interface to the industrial-strength search engine capabilities
 of Lucene (http://jakarta.apache.org/lucene), for Axyl website developers.

## axyl-lucene 2.1.4

=== debian/changelog ===
axyl-lucene (2.1.4) unstable; urgency=low

  * Altered the default values for the CloseWait timeout to 1200 seconds,
    from 5 seconds in the Server.config. This allows for long optimise
    commands, and removes the danger of index corruption due to an index
    writer being prematurely killed.
  * Added the Brazilian Portuguese (pt_BR.po) debconf template translation.
    (closes: #297053)
  * Added the Czech translation (cs.po) debconf template translation.
    (closes: #297598)
  * Sent the fr.po French template translation to Jean-Luc Coulon, and have
    heard nothing back so assume template was indeed already fine.
    (closes: #279899)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 09 Mar 2005 15:32:00 +1300

=== debian/control ===
Source: axyl-lucene
Section: web
Priority: optional
Maintainer: Paul Waite <paul@catalyst.net.nz>
Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
Build-Depends-Indep: debhelper (>= 4.1.16), debconf, po-debconf
Standards-Version: 3.6.1

Package: axyl-lucene
Architecture: all
Depends: debconf, axyl (>= 2.1.1), kaffe | java2-runtime
Description: The Axyl Luceneserver
 Axyl is a website development tool aimed at PHP developers. It provides a
 framework for all the commonly required elements: user sessions, menus and
 security, database connections (with DB-independent layer), versioned
 content management, and a large set of building blocks and classes for
 creating content delivery applications for HTML and WML.
 .
 This Java-based daemon listens on a designated port for XML requests and
 presents a nice interface to the industrial-strength search engine capabilities
 of Lucene (http://jakarta.apache.org/lucene), for Axyl website developers.

## axyl-lucene 2.1.5

=== debian/changelog ===
axyl-lucene (2.1.5) unstable; urgency=low
  * Added the Japanese debconf template translation (cs.po). (closes: #307140)
  * Updated the French debconf template translation (fr.po). (closes: #307893)
  * Added new Vietnamese debconf template translation (vi.po). (closes: #313147)
  * Added new Swedish debconf template translation (vi.po). (closes: #332731)
  * Added the alternative dependency for debconf-2.0. (closes: #331754)
  * Now using Lucene 1.4.3 - reworked segment files and sorting.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 21 Nov 2005 17:37:00 +1300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Paul Waite <paul@catalyst.net.nz>
 Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends-Indep: debhelper (>= 4.1.16), debconf, po-debconf
+Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf
 Standards-Version: 3.6.1
 
 Package: axyl-lucene
 Architecture: all
-Depends: debconf, axyl (>= 2.1.1), kaffe | java2-runtime
+Depends: debconf | debconf-2.0, axyl (>= 2.1.1)
 Description: The Axyl Luceneserver
  Axyl is a website development tool aimed at PHP developers. It provides a
  framework for all the commonly required elements: user sessions, menus and

## axyl-lucene 2.1.8

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 PKG = axyl-lucene
 
-ifndef CHECK
-export CHECK = yes
+ifndef DEP
+export DEP = yes
 all: build-dep debian tarball
 else
 all: debian tarball
@@ -21,6 +21,9 @@
 	./build-dep.sh
 	$(MAKE)
 
+upload: debian
+	./upload-packages.sh
+
 repository: debian
 	./build-repository.sh

=== debian/changelog ===
axyl-lucene (2.1.8) unstable; urgency=low
  * Added latest luceneserver.jar 1.0.5. Minor changes to the way it starts
    up and reports startup details such as the daemon port.
  * Added new Portugese debconf template translation (pt.po). (closes: #378882)

 -- Paul Waite <paul@waite.net.nz>  Wed, 6 Dec 2006 18:50:00 +1300

axyl-lucene (2.1.7) unstable; urgency=low
  * Added latest luceneserver.jar together with the new setting that this
    version allows in the Server.config, MaxSearcherInstances. Implements
    a cap on number of possible Searchers created on a frequently
    updated index, which can cause out-of-memory problems otherwise.

 -- Paul Waite <paul@waite.net.nz>  Sun, 22 Oct 2006 17:13:00 +1300

axyl-lucene (2.1.6) unstable; urgency=low
  * Now using version 2.0 of the Lucene API.
  * Includes fixes to luceneserver.jar such that the compound file format
    is now used for lucene indexing.
  * Now offers debconf setup of watchdog script (via cron) to restart stopped
    or crashed servers.

 -- Paul Waite <paul@waite.net.nz>  Thu, 24 Aug 2006 10:27:00 +1200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: axyl-lucene
 Section: web
 Priority: optional
-Maintainer: Paul Waite <paul@catalyst.net.nz>
-Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
+Maintainer: Paul Waite <paul@waite.net.nz>
+Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
 Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: axyl-lucene
 Architecture: all

## axyl-lucene 2.1.9

=== debian/changelog ===
axyl-lucene (2.1.9) unstable; urgency=low
  * Corrected missing mkaxyldir bug. Now uses newer Axyl script funcs.
    Made dependent on Axyl 2.1.12 or greater. (closes: #408225)

 -- Paul Waite <paul@waite.net.nz>  Sun, 28 Jan 2007 07:52:00 +1300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: axyl-lucene
 Architecture: all
-Depends: debconf | debconf-2.0, axyl (>= 2.1.1)
+Depends: debconf | debconf-2.0, axyl (>= 2.1.12)
 Description: The Axyl Luceneserver
  Axyl is a website development tool aimed at PHP developers. It provides a
  framework for all the commonly required elements: user sessions, menus and

## axyl-lucene 2.1.10

=== debian/changelog ===
axyl-lucene (2.1.10) unstable; urgency=low
  * Removed duplicate func subvars() from install-lucene.sh script.
    This func is already provided by axyl-common-funcs.sh.
  * Altered dependency to >= axyl 2.1.14, and fixed postrm so that
    piuparts should now work ok (closes #431710)

 -- Paul Waite <paul@waite.net.nz>  Wed, 11 Jul 2007 09:47:00 +1200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Paul Waite <paul@waite.net.nz>
 Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf
-Standards-Version: 3.6.2
+Build-Depends-Indep: debconf | debconf-2.0
+Build-Depends: debhelper, po-debconf
+Standards-Version: 3.7.2
 
 Package: axyl-lucene
 Architecture: all
-Depends: debconf | debconf-2.0, axyl (>= 2.1.12)
+Depends: debconf | debconf-2.0, axyl (>= 2.1.14)
 Description: The Axyl Luceneserver
  Axyl is a website development tool aimed at PHP developers. It provides a
  framework for all the commonly required elements: user sessions, menus and

## axyl-lucene 2.1.10ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,14 @@
 # Makefile for debian packaging
 
-PKG = axyl-lucene
-
-ifndef DEP
-export DEP = yes
+ifndef CHECK
+export CHECK = yes
 all: build-dep debian tarball
 else
 all: debian tarball
 endif
 
 clean:
-	rm -f build-stamp*
-	rm -f debian/files
-	rm -f debian/*debhelper
-	rm -f debian/*.substvars
-	rm -rf debian/$(PKG)
+	./build-clean.sh
 	touch build-stamp
 
 build-dep:

=== debian/changelog ===
axyl-lucene (2.1.10ubuntu1) hardy-proposed; urgency=low

  * ./install/install-lucene.sh:
    - fix bashism (LP: #222000)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2008 13:25:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: axyl-lucene
 Section: web
 Priority: optional
-Maintainer: Paul Waite <paul@waite.net.nz>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Waite <paul@waite.net.nz>
 Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
 Build-Depends-Indep: debconf | debconf-2.0
 Build-Depends: debhelper, po-debconf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

parent_package=axyl
package=axyl-lucene
dt=debian/$(package)
instroot=usr/share/$(package)
dataroot=var/lib/$(parent_package)

clean:
	dh_testdir
	dh_testroot
	rm -f debian/files
	rm -rf $(dt)
	debconf-updatepo
	dh_clean 

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

configure: configure-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

build: build-stamp

install: clean build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/axyl.
	install -d $(dt)/DEBIAN \
		$(dt)/$(instroot) \
		$(dt)/$(dataroot)/lucene
	cp README $(dt)/$(instroot)
	cp -a bin $(dt)/$(instroot)
	cp -a install $(dt)/$(instroot)
	cp -a luceneserver $(dt)/$(instroot)
	cp -a servers $(dt)/$(instroot)
	find $(dt) -depth -type d -name "CVS" -exec rm -rf {} \;
	find $(dt) -name ".cvsignore" -exec rm -f {} \;
	find $(dt) -name ".#*" -exec rm -f {} \;
	find $(dt) -name "*.log" -exec rm -f {} \;
	find $(dt) -name "diffs.sql" -exec rm -f {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	find $(dt) -depth -type d -name "CVS" -exec rm -rf {} \;
	find $(dt) -name ".cvsignore" -exec rm -f {} \;
#	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start --update-rcd-params="defaults 99 10"
#	dh_installcron
#	dh_installinfo
#	dh_installman debian/axyl.7
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# Nothing to do here.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## axyl-lucene 2.3.0

=== debian/changelog ===
axyl-lucene (2.3.0) unstable; urgency=low

  * Fixes bashism ('function ' prefix on funcs) as per patches notified
    by Luca Falavigna - thanks to him for that. (closes: #486635)

 -- Paul Waite <paul@waite.net.nz>  Wed, 18 Jun 2008 07:56:00 +1200

axyl-lucene (2.2.0) unstable; urgency=low

  * Debconf - Russian template. (closes: #470669)
  * Debconf - Spanish template. (closes: #461903)
  * Debconf - Portugese template. (closes: #470957)
  * Debconf - Finnish template. (closes: #470639)
  * Debconf - German template. (closes: #441253)
  * Debconf - French template. (closes: #439752)
  * Debconf - Japanese template. (closes: #446570)
  * Debconf - Spanish template. (closes: #419242)
  * Debconf - Dutch template. (closes: #450991)

 -- Paul Waite <paul@waite.net.nz>  Sun, 23 Mar 2008 13:36:00 +1300
